Subject: buffering routines

From: [email-masked] (Rolf Hempel)
Date: Mon, 31 Jan 1994 08:14:16 GMT

The flexibility in unpacking buffers which Paul outlined in his latest
mail is certainly more than most users would wish for. By incremental
unpacking, the user can decide at every step how to proceed with
unpacking the rest of the buffer. In particular, he or she can encode
a description of the buffer contents at the beginning of the buffer.
So, an unpacking by trial and error does not seem necessary to me.
If this flexibility comes at no price, however, it's fine with me.

On a different vein, in my latest message I argued that the user would
not manipulate the size_so_far argument in between calls to the
unpacking routine, so we could make it an inout. Now it seems that
Paul is our first user who does play with the size_so_far argument.
The users are always more inventive than you immagine!

- Rolf